API Documentation
Setup
Submit Jobs
Finetuning
Job Management
File Management
Custom Tools
Overview
Python SDK Reference
End to End example
GET
List custom tools
GET
Get a custom tool
POST
Create a custom tool
PATCH
Update a custom tool
DELETE
Delete a custom tool
POST
Create a source upload
POST
Build a custom tool
GET
List build logs
POST
Cancel a custom tool build
POST
Run a custom tool
POST
Publish a custom tool version
GET
List custom tool versions
Pipelines
Manage Files
GET
/api/filesThe GET API endpoint /files allows users to list files in their account. You can optionally include folders or filter by a specific folder.
Optional Parameters:
includeFolders
(boolean)
Include folders in the response. Set to "true" to include folder information.
folder
(string)
Filter files to show only those in a specific folder.
HTTP Response Status Codes
| Status code | Description |
|---|---|
| 200 | Successfully retrieved file list |
| 400 | Bad request |
List files
List files and folders
List files in folder
List all files in your account.
1import requests
2
3api_key = "***************"
4headers = {'x-api-key': api_key}
5base_url = "https://app.tamarind.bio/api/"
6
7response = requests.get(base_url + "files", headers=headers)
8print(response.json())Response Format
1[
2 "sample_reads.fastq.gz",
3 "protein_structure.pdb",
4 "gene_annotations.gtf",
5 "results_table.csv",
6 "results_spreadsheet.xlsx"
7]